#
# spec file for package python-python-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-utils
Version:        2.3.0
Release:        4.1
Summary:        Utilities not included with the standard Python install
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/WoLpH/python-utils
Source:         https://files.pythonhosted.org/packages/source/p/python-utils/python-utils-%{version}.tar.gz
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
# /SECTION
Requires:       python-six
BuildArch:      noarch

%python_subpackages

%description
Python Utils is a collection of Python functions and
classes which make common patterns shorter and easier.

%prep
%setup -q -n python-utils-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# default test settings enable some pytest backends we don't care about
mv pytest.ini old_pytest.ini_old
%{python_expand rm -rf _build.* build tests/__pycache__ tests/*.pyc tests/*.pyo
export PYTHONDONTWRITEBYTECODE=1
export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix} tests/*.py
}
mv old_pytest.ini_old pytest.ini

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Ensure neutrality/relevance of description.
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 2.3.0
  * Added several time methods and terminal size detection
- Fix tests
- spec file cleanups
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
